Skip to main content
GET
/
v1
/
workspaces
/
{workspaceId}
/
pipelines
/
{pipelineId}
Get a reusable pipeline
curl --request GET \
  --url https://api.erna.ai/v1/workspaces/{workspaceId}/pipelines/{pipelineId} \
  --header 'Authorization: Bearer <token>'
{
  "pipelineId": "<string>",
  "name": "<string>",
  "latestRevisionId": "<string>",
  "links": {
    "self": "<string>",
    "runs": "<string>",
    "revisions": "<string>"
  },
  "definition": {
    "instructions": "<string>",
    "connectors": [
      {
        "connector": "<string>",
        "connectionId": "<string>"
      }
    ]
  },
  "inputJsonSchema": {},
  "outputJsonSchema": {},
  "latestRun": {
    "runId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "links": {
      "self": "<string>"
    }
  },
  "error": "<unknown>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or API key

Path Parameters

workspaceId
string
required
Example:

"ws_123"

pipelineId
string
required
Example:

"pln_123"

Response

Pipeline

pipelineId
string
required

Reusable pipeline id.

name
string
required

Human-readable reusable pipeline name.

playbookId
enum<string>
required

Playbook that owns this pipeline and defines its run input contract.

Available options:
scheduling,
reporting
status
enum<string>
required

Current pipeline build status. Only ready pipelines can be run, but schemas may be visible before the build completes.

Available options:
building,
ready,
failed
latestRevisionId
string | null
required

Latest ready executable revision id, or null while the pipeline is building.

definition
object
required
inputJsonSchema
object
required

JSON Schema for the input object accepted by pipeline runs. Fetch pipeline detail before running and send matching data under the run request input property.

outputJsonSchema
object
required

JSON Schema for run output once a run completes.

latestRun
object
required

Latest pipeline run summary, if one exists. Fetch links.self to read full output or error details.

error
any

Public error details when status is failed.